Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.axis2
Class ODEService

    java.lang.Object
      org.apache.ode.axis2.ODEService

    public class ODEService

extends java.lang.Object

A running service, encapsulates the Axis service, its receivers and our receivers as well.

Constructor Summary
`ODEService(org.apache.axis2.description.AxisService axisService, ProcessConf pconf, javax.xml.namespace.QName serviceName, java.lang.String portName, BpelServer server, javax.transaction.TransactionManager txManager)`

Method Summary
`static MutableEndpoint` | `createServiceRef(org.w3c.dom.Element elmt)` Create-and-copy a service-ref element.
`static org.w3c.dom.Element` | `genEPRfromWSDL(javax.wsdl.Definition wsdlDef, javax.xml.namespace.QName name, java.lang.String portName)` Get the EPR of this service from the WSDL.
`org.apache.axis2.description.AxisService` | `getAxisService()`
`EndpointReference` | `getMyServiceRef()` Return the service-ref element that will be used to represent this endpoint.
`java.lang.String` | `getName()`
`org.apache.axis2.client.Options` | `getOptions()`
`void` | `onAxisMessageExchange(org.apache.axis2.context.MessageContext msgContext, org.apache.axis2.context.MessageContext outMsgContext, org.apache.axiom.soap.SOAPFactory soapFactory)`
`boolean` | `respondsTo(javax.xml.namespace.QName serviceName, javax.xml.namespace.QName portTypeName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ODEService

    public ODEService(org.apache.axis2.description.AxisService axisService,
                      ProcessConf pconf,
                      javax.xml.namespace.QName serviceName,
                      java.lang.String portName,
                      BpelServer server,
                      javax.transaction.TransactionManager txManager)
               throws org.apache.axis2.AxisFault

Throws:
  `org.apache.axis2.AxisFault`

Method Detail

### getName

    public java.lang.String getName()

### onAxisMessageExchange

    public void onAxisMessageExchange(org.apache.axis2.context.MessageContext msgContext,
                                      org.apache.axis2.context.MessageContext outMsgContext,
                                      org.apache.axiom.soap.SOAPFactory soapFactory)
                               throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### respondsTo

    public boolean respondsTo(javax.xml.namespace.QName serviceName,
                              javax.xml.namespace.QName portTypeName)

### getOptions

    public org.apache.axis2.client.Options getOptions()

  Returns:
    an Option instance containing the properties for this endpoint
  See Also:
    `ProcessConf.getEndpointProperties(org.apache.ode.bpel.iapi.EndpointReference)`

### getAxisService

    public org.apache.axis2.description.AxisService getAxisService()

### getMyServiceRef

    public EndpointReference getMyServiceRef()

  Return the service-ref element that will be used to represent this endpoint.

  Returns:
    my service endpoint

### genEPRfromWSDL

    public static org.w3c.dom.Element genEPRfromWSDL(javax.wsdl.Definition wsdlDef,
                                                     javax.xml.namespace.QName name,
                                                     java.lang.String portName)

  Get the EPR of this service from the WSDL.

  Parameters:
    `name` - service name
    `portName` - port name
  Returns:
    XML representation of the EPR

### createServiceRef

    public static MutableEndpoint createServiceRef(org.w3c.dom.Element elmt)

  Create-and-copy a service-ref element.

  Parameters:
    `elmt` -
  Returns:
    wrapped element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD